<?php
require_once("../userset.php");
$ac=$_GET['ac'];
if ($ac=="go"){
$strLink = "fs2you_f_link";
$strResult = "fs2you_f_result";
if (isset($_POST[$strResult])) {
    $RAW_POST = file_get_contents("php://input");
    $RAW_POST = str_replace("=", "[]=", $RAW_POST);
    parse_str($RAW_POST, $my_post);
    for ( $i=0;$i<count($my_post[$strResult]);$i++) {
           if ($_GET['type']=="ht"){
                echo '<script>window.opener.document.form1.S_Vdata.value="'.$my_post[$strLink][$i].'"</script><script>window.opener.document.form1.S_Remark.value="'.$my_post[$strLink][$i].'"</script>';
           }else{
                echo '<script>window.opener.document.form3.S_Vdata.value="'.$my_post[$strLink][$i].'"</script>';
           }
                echo '<script>alert("恭喜您，上传成功，不要修改返回地址！");window.close()</script>';
    }
}
}
?>
		    <form action=rayfileup.php?ac=go&type=<?php echo $_GET['type'];?>  method=post>
			<script type="text/javascript">
			// <![CDATA[
			function fs2you_show_upctrl(){
			var fu = document.getElementById("fs2you_upctrl");
			if(fu)fu.innerHTML='<img src="http://www.rayfile.com/media/img/loading.gif" style="border: 0px" />';
			var obj = document.createElement("script");
			obj.setAttribute("type", "text/javascript");
			obj.setAttribute("src", "upctrl.js");
			document.body.appendChild(obj);
			}
			// ]]>
			</script>
			<style type="text/css">
			#fs2you_upctrl 
			{
				border: solid 1px #ccc;
				color: #4F6B72;
				background: #fff none repeat scroll 0%;
				padding: 10px;
				width:100%;
				margin-bottom:10px;
			}
                        input{padding:2px;border:1px solid;border-color:#666 #ccc #ccc #666;background:#F9F9F9;color:#333}
			</style>
			<script type="text/javascript">
			// <![CDATA[
				var fs2you_account = "<?php echo S_Rayfileup?>";
				var fs2you_message_body_name = "";
			// ]]>
			</script>
			<div id="fs2you_upctrl"><a href="javascript:fs2you_show_upctrl()" class="underline">点击这里上传</a></div>
			<div style="  padding-left:80px; ">
			<input type=submit value=" 提 交 " class="grayform">
			</div>
			
			</form>
